libosmo-sigtran: src/ss7_as_vty.c File Reference

libosmo-sigtran 2.2.1.95-893c Osmocom SIGTRAN library

Macros | Functions | Variables
ss7_as_vty.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <stdint.h>`
`#include <string.h>`
`#include <osmocom/vty/vty.h>`
`#include <osmocom/vty/command.h>`
`#include <osmocom/vty/logging.h>`
`#include <osmocom/vty/telnet_interface.h>`
`#include <osmocom/vty/misc.h>`
`#include <osmocom/sigtran/protocol/mtp.h>`
`#include "ss7_as.h"`
`#include "ss7_asp.h"`
`#include "ss7_route.h"`
`#include "ss7_route_table.h"`
`#include "ss7_internal.h"`
`#include "ss7_vty.h"`

## Macros
#define | ROUTING_KEY_CMD "routing-key RCONTEXT DPC"
#define | ROUTING_KEY_CMD_STRS
#define | ROUTING_KEY_SI_ARG " si (aal2|bicc|b-isup|h248|isup|sat-isup|sccp|tup)"
#define | ROUTING_KEY_SI_ARG_STRS
#define | ROUTING_KEY_SSN_ARG " ssn SSN"
#define | ROUTING_KEY_SSN_ARG_STRS

## Functions
| DEFUN_ATTR (cs7_as, cs7_as_cmd, "as NAME " XUA_VAR_STR, "Configure an Application Server\n" "Name of the Application Server\n" XUA_VAR_HELP_STR, CMD_ATTR_IMMEDIATE)
| DEFUN_ATTR (no_cs7_as, no_cs7_as_cmd, "no as NAME", NO_STR "Disable Application Server\n" "Name of AS\n", CMD_ATTR_IMMEDIATE)
| DEFUN_ATTR (as_asp, as_asp_cmd, "asp NAME", "Specify that a given ASP is part of this AS\n" "Name of ASP to be added to AS\n", CMD_ATTR_IMMEDIATE)
| DEFUN_ATTR (as_no_asp, as_no_asp_cmd, "no asp NAME", NO_STR "Specify ASP to be removed from this AS\n" "Name of ASP to be removed\n", CMD_ATTR_IMMEDIATE)
| DEFUN_USRATTR (as_traf_mode, as_traf_mode_cmd, OSMO_SCCP_LIB_ATTR_RSTRT_ASP, "traffic-mode (broadcast | roundrobin | override)", "Specifies traffic mode of operation of the ASP within the AS\n" "Broadcast to all ASP within AS\n" "Round-Robin between all ASP within AS\n" "Override\n")
| DEFUN_USRATTR (as_traf_mode_loadshare, as_traf_mode_loadshare_cmd, OSMO_SCCP_LIB_ATTR_RSTRT_ASP, "traffic-mode loadshare [bindings] [sls] [opc-sls] [opc-shift] [<0-2>]", "Specifies traffic mode of operation of the ASP within the AS\n" "Share Load among all ASP within AS\n" "Configure Loadshare parameters\n" "Configure Loadshare SLS generation parameters\n" "Generate extended SLS with OPC information\n" "Shift OPC bits used during routing decision\n" "How many bits from ITU OPC field (starting from least-significant-bit) to skip (default=0). 6 bits are always used\n")
| DEFUN_USRATTR (as_no_traf_mode, as_no_traf_mode_cmd, OSMO_SCCP_LIB_ATTR_RSTRT_ASP, "no traffic-mode", NO_STR "Remove explicit traffic mode of operation of this AS\n")
| DEFUN_ATTR (as_sls_shift, as_sls_shift_cmd, "sls-shift <0-3>", "Shift SLS bits used during routing decision\n" "How many bits from SLS field (starting from least-significant-bit) to skip\n", CMD_ATTR_IMMEDIATE)
| DEFUN_ATTR (as_bindingtable_reset, as_bindingtable_reset_cmd, "binding-table reset", "AS Loadshare binding table operations\n" "Reset loadshare binding table\n", CMD_ATTR_IMMEDIATE)
| DEFUN_ATTR (as_recov_tout, as_recov_tout_cmd, "recovery-timeout <1-2000>", "Specifies RFC4666 recovery timer T(r) timeout\n" "Recovery Timeout in Milliseconds\n", CMD_ATTR_IMMEDIATE)
| DEFUN_ATTR (as_qos_clas, as_qos_class_cmd, "qos-class " QOS_CLASS_RANGE_STR, "Specity QoS Class of AS\n" QOS_CLASS_RANGE_HELP_STR, CMD_ATTR_IMMEDIATE)
static int | _rout_key (struct vty *vty, const char *rcontext, const char *dpc, const char *si, const char *ssn)
| DEFUN_ATTR (as_rout_key, as_rout_key_cmd, ROUTING_KEY_CMD, ROUTING_KEY_CMD_STRS, CMD_ATTR_IMMEDIATE)
| DEFUN_ATTR (as_rout_key_si, as_rout_key_si_cmd, ROUTING_KEY_CMD ROUTING_KEY_SI_ARG, ROUTING_KEY_CMD_STRS ROUTING_KEY_SI_ARG_STRS, CMD_ATTR_IMMEDIATE)
| DEFUN_ATTR (as_rout_key_ssn, as_rout_key_ssn_cmd, ROUTING_KEY_CMD ROUTING_KEY_SSN_ARG, ROUTING_KEY_CMD_STRS ROUTING_KEY_SSN_ARG_STRS, CMD_ATTR_IMMEDIATE)
| DEFUN_ATTR (as_rout_key_si_ssn, as_rout_key_si_ssn_cmd, ROUTING_KEY_CMD ROUTING_KEY_SI_ARG ROUTING_KEY_SSN_ARG, ROUTING_KEY_CMD_STRS ROUTING_KEY_SI_ARG_STRS ROUTING_KEY_SSN_ARG_STRS, CMD_ATTR_IMMEDIATE)
| DEFUN_ATTR (as_pc_override, as_pc_override_cmd, "point-code override (opc|dpc) PC", "Point Code Specific Features\n" "Override (force) a point-code of messages received at the AS\n" "Override Source Point Code of received messages\n" "Override Destination Point Code of received messages\n" "New Point Code\n", CMD_ATTR_IMMEDIATE)
| DEFUN_ATTR (as_no_pc_override, as_no_pc_override_cmd, "no point-code override (opc|dpc)", NO_STR "Point Code Specific Features\n" "Override (force) a point-code of messages received at the AS\n" "Override Source Point Code of received messages\n" "Override Destination Point Code of received messages\n", CMD_ATTR_IMMEDIATE)
| DEFUN_ATTR (as_pc_patch_sccp, as_pc_patch_sccp_cmd, "point-code override patch-sccp (disabled|both)", "Point Code Specific Features\n" "Override (force) a point-code to hard-coded value\n" "Patch point code values into SCCP called/calling address\n" "Don't patch any point codes into SCCP called/calling address\n" "Patch both origin and destination point codes into SCCP called/calling address\n", CMD_ATTR_IMMEDIATE)
void | ss7_vty_write_one_as (struct vty *vty, struct osmo_ss7_as *as, bool show_dyn_config)
static void | show_one_as (struct vty *vty, struct osmo_ss7_as *as)
static int | show_as (struct vty *vty, int id, const char *as_name, const char *filter)
| DEFUN (show_cs7_as, show_cs7_as_cmd, "show cs7 instance <0-15> as (active|all|m3ua|sua)", SHOW_STR CS7_STR INST_STR INST_STR "Application Server (AS)\n" "Display all active ASs\n" "Display all ASs (default)\n" "Display all m3ua ASs\n" "Display all SUA ASs\n")
| DEFUN (show_cs7_as_name, show_cs7_as_name_cmd, "show cs7 instance <0-15> as name AS_NAME", SHOW_STR CS7_STR INST_STR INST_STR "Application Server (AS)\n" "Look up AS with a given name\n" "Name of the Application Server (AS)\n")
| DEFUN (show_cs7_as_bindingtable_name, show_cs7_as_bindingtable_name_cmd, "show cs7 instance <0-15> as binding-table name AS_NAME", SHOW_STR CS7_STR INST_STR INST_STR "Application Server (AS)\n" "Display binding table\n" "Look up AS with a given name\n" "Name of the Application Server (AS)\n")
int | ss7_vty_node_as_go_parent (struct vty *vty)
void | ss7_vty_init_node_as (void)

## Variables
static struct cmd_node | as_node
const struct value_string | mtp_si_vals []

## Macro Definition Documentation

## ◆ ROUTING_KEY_CMD

#define ROUTING_KEY_CMD "routing-key RCONTEXT DPC"

## ◆ ROUTING_KEY_CMD_STRS

#define ROUTING_KEY_CMD_STRS

Value:
"Define a routing key\n" \
"Routing context number\n" \
"Destination Point Code\n"

## ◆ ROUTING_KEY_SI_ARG

#define ROUTING_KEY_SI_ARG " si (aal2|bicc|b-isup|h248|isup|sat-isup|sccp|tup)"

## ◆ ROUTING_KEY_SI_ARG_STRS

#define ROUTING_KEY_SI_ARG_STRS

Value:
"Match on Service Indicator\n" \
"ATM Adaption Layer 2\n" \
"Bearer Independent Call Control\n" \
"Broadband ISDN User Part\n" \
"H.248\n" \
"ISDN User Part\n" \
"Sattelite ISDN User Part\n" \
"Signalling Connection Control Part\n" \
"Telephony User Part\n"

## ◆ ROUTING_KEY_SSN_ARG

#define ROUTING_KEY_SSN_ARG " ssn SSN"

## ◆ ROUTING_KEY_SSN_ARG_STRS

#define ROUTING_KEY_SSN_ARG_STRS

Value:
"Match on Sub-System Number\n" \
"Sub-System Number to match on\n"

## Function Documentation

## ◆ _rout_key()

static int _rout_key | ( | struct vty * | vty,
|  | const char * | rcontext,
|  | const char * | dpc,
|  | const char * | si,
|  | const char * | ssn
| ) |  |
| static

References osmo_ss7_as::cfg, osmo_ss7_routing_key::context, dpc, osmo_ss7_as::inst, mtp_si_vals, OSMO_SS7_ASP_PROT_IPA, osmo_ss7_pointcode_parse(), osmo_ss7_routing_key::pc, pc, osmo_ss7_as::proto, osmo_ss7_as::routing_key, osmo_ss7_routing_key::si, si, osmo_ss7_routing_key::ssn, and ssn.

Referenced by DEFUN_ATTR().

## ◆ DEFUN() [1/3]

DEFUN | ( | show_cs7_as | ,
|  | show_cs7_as_cmd | ,
|  | "show cs7 instance <0-15> as (active|all|m3ua|sua)" | ,
|  | SHOW_STR CS7_STR INST_STR INST_STR "Application Server (AS)\n" "Display all active ASs\n" "Display all ASs (default)\n" "Display all m3ua ASs\n" "Display all SUA ASs\n" |
| ) |  |

References NULL, and show_as().

## ◆ DEFUN() [2/3]

DEFUN | ( | show_cs7_as_bindingtable_name | ,
|  | show_cs7_as_bindingtable_name_cmd | ,
|  | "show cs7 instance <0-15> as binding-table name AS_NAME" | ,
|  | SHOW_STR CS7_STR INST_STR INST_STR "Application Server (AS)\n" "Display binding table\n" "Look up AS with a given name\n" "Name of the Application Server (AS)\n" |
| ) |  |

References osmo_ss7_as::aesls_table, osmo_ss7_as_esls_entry::alt_asp, osmo_ss7_asp::cfg, osmo_ss7_as::inst, osmo_ss7_asp::name, osmo_ss7_as_esls_entry::normal_asp, NULL, osmo_ss7_as_find_by_name(), osmo_ss7_asp_active(), and osmo_ss7_instance_find().

## ◆ DEFUN() [3/3]

DEFUN | ( | show_cs7_as_name | ,
|  | show_cs7_as_name_cmd | ,
|  | "show cs7 instance <0-15> as name AS_NAME" | ,
|  | SHOW_STR CS7_STR INST_STR INST_STR "Application Server (AS)\n" "Look up AS with a given name\n" "Name of the Application Server (AS)\n" |
| ) |  |

References NULL, and show_as().

## ◆ DEFUN_ATTR() [1/15]

DEFUN_ATTR | ( | as_asp | ,
|  | as_asp_cmd | ,
|  | "asp NAME" | ,
|  | "Specify that a given ASP is part of this AS\n" "Name of ASP to be added to AS\n" | ,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References osmo_ss7_as::cfg, osmo_ss7_as::name, and osmo_ss7_as_add_asp().

## ◆ DEFUN_ATTR() [2/15]

DEFUN_ATTR | ( | as_bindingtable_reset | ,
|  | as_bindingtable_reset_cmd | ,
|  | "binding-table reset" | ,
|  | "AS Loadshare binding table operations\n" "Reset loadshare binding table\n" | ,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References ss7_as_loadshare_binding_table_reset().

## ◆ DEFUN_ATTR() [3/15]

DEFUN_ATTR | ( | as_no_asp | ,
|  | as_no_asp_cmd | ,
|  | "no asp NAME" | ,
|  | NO_STR "Specify ASP to be removed from this AS\n" "Name of ASP to be removed\n" | ,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References osmo_ss7_as_del_asp().

## ◆ DEFUN_ATTR() [4/15]

DEFUN_ATTR | ( | as_no_pc_override | ,
|  | as_no_pc_override_cmd | ,
|  | "no point-code override (opc|dpc)" | ,
|  | NO_STR "Point Code Specific Features\n" "Override (force) a point-code of messages received at the AS\n" "Override Source Point Code of received messages\n" "Override Destination Point Code of received messages\n" | ,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References osmo_ss7_as::cfg, osmo_ss7_as::dpc, osmo_ss7_as::dpc_enabled, osmo_ss7_as::opc, osmo_ss7_as::opc_enabled, and osmo_ss7_as::pc_override.

## ◆ DEFUN_ATTR() [5/15]

DEFUN_ATTR | ( | as_pc_override | ,
|  | as_pc_override_cmd | ,
|  | "point-code override (opc|dpc) PC" | ,
|  | "Point Code Specific Features\n" "Override (force) a point-code of messages received at the AS\n" "Override Source Point Code of received messages\n" "Override Destination Point Code of received messages\n" "New Point Code\n" | ,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References osmo_ss7_as::cfg, cs7_role, CS7_ROLE_ASP, osmo_ss7_as::dpc, osmo_ss7_as::dpc_enabled, osmo_ss7_as::inst, osmo_ss7_as::name, osmo_ss7_as::opc, osmo_ss7_as::opc_enabled, OSMO_SS7_ASP_PROT_IPA, osmo_ss7_pointcode_parse(), pc, osmo_ss7_as::pc_override, and osmo_ss7_as::proto.

## ◆ DEFUN_ATTR() [6/15]

DEFUN_ATTR | ( | as_pc_patch_sccp | ,
|  | as_pc_patch_sccp_cmd | ,
|  | "point-code override patch-sccp (disabled|both)" | ,
|  | "Point Code Specific Features\n" "Override (force) a point-code to hard-coded value\n" "Patch point code values into SCCP called/calling address\n" "Don't patch any point codes into SCCP called/calling address\n" "Patch both origin and destination point codes into SCCP called/calling address\n" | ,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References osmo_ss7_as::cfg, OSMO_SS7_ASP_PROT_IPA, OSMO_SS7_PATCH_BOTH, OSMO_SS7_PATCH_NONE, osmo_ss7_as::pc_override, osmo_ss7_as::proto, and osmo_ss7_as::sccp_mode.

## ◆ DEFUN_ATTR() [7/15]

DEFUN_ATTR | ( | as_qos_clas | ,
|  | as_qos_class_cmd | ,
|  | "qos-class " | QOS_CLASS_RANGE_STR,
|  | "Specity QoS Class of AS\n" | QOS_CLASS_RANGE_HELP_STR,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References osmo_ss7_as::cfg, and osmo_ss7_as::qos_class.

## ◆ DEFUN_ATTR() [8/15]

DEFUN_ATTR | ( | as_recov_tout | ,
|  | as_recov_tout_cmd | ,
|  | "recovery-timeout <1-2000>" | ,
|  | "Specifies RFC4666 recovery timer T(r) timeout\n" "Recovery Timeout in Milliseconds\n" | ,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References osmo_ss7_as::cfg, and osmo_ss7_as::recovery_timeout_msec.

## ◆ DEFUN_ATTR() [9/15]

DEFUN_ATTR | ( | as_rout_key | ,
|  | as_rout_key_cmd | ,
|  | ROUTING_KEY_CMD | ,
|  | ROUTING_KEY_CMD_STRS | ,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References _rout_key(), and NULL.

## ◆ DEFUN_ATTR() [10/15]

DEFUN_ATTR | ( | as_rout_key_si | ,
|  | as_rout_key_si_cmd | ,
|  | ROUTING_KEY_CMD | ROUTING_KEY_SI_ARG,
|  | ROUTING_KEY_CMD_STRS | ROUTING_KEY_SI_ARG_STRS,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References _rout_key(), and NULL.

## ◆ DEFUN_ATTR() [11/15]

DEFUN_ATTR | ( | as_rout_key_si_ssn | ,
|  | as_rout_key_si_ssn_cmd | ,
|  | ROUTING_KEY_CMD ROUTING_KEY_SI_ARG | ROUTING_KEY_SSN_ARG,
|  | ROUTING_KEY_CMD_STRS ROUTING_KEY_SI_ARG_STRS | ROUTING_KEY_SSN_ARG_STRS,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References _rout_key().

## ◆ DEFUN_ATTR() [12/15]

DEFUN_ATTR | ( | as_rout_key_ssn | ,
|  | as_rout_key_ssn_cmd | ,
|  | ROUTING_KEY_CMD | ROUTING_KEY_SSN_ARG,
|  | ROUTING_KEY_CMD_STRS | ROUTING_KEY_SSN_ARG_STRS,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References _rout_key(), and NULL.

## ◆ DEFUN_ATTR() [13/15]

DEFUN_ATTR | ( | as_sls_shift | ,
|  | as_sls_shift_cmd | ,
|  | "sls-shift <0-3>" | ,
|  | "Shift SLS bits used during routing decision\n" "How many bits from SLS field (starting from least-significant-bit) to skip\n" | ,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References osmo_ss7_as::cfg, osmo_ss7_as::loadshare, and osmo_ss7_as::sls_shift.

## ◆ DEFUN_ATTR() [14/15]

DEFUN_ATTR | ( | cs7_as | ,
|  | cs7_as_cmd | ,
|  | "as NAME " | XUA_VAR_STR,
|  | "Configure an Application Server\n" "Name of the Application Server\n" | XUA_VAR_HELP_STR,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References osmo_ss7_as::cfg, osmo_ss7_as::description, osmo_ss7_as::inst, osmo_ss7_as::name, osmo_ss7_as_find_or_create(), OSMO_SS7_ASP_PROT_NONE, parse_asp_proto(), and osmo_ss7_as::rkm_dyn_allocated.

## ◆ DEFUN_ATTR() [15/15]

DEFUN_ATTR | ( | no_cs7_as | ,
|  | no_cs7_as_cmd | ,
|  | "no as NAME" | ,
|  | NO_STR "Disable Application Server\n" "Name of AS\n" | ,
|  | CMD_ATTR_IMMEDIATE |
| ) |  |

References osmo_ss7_as::inst, osmo_ss7_as::name, osmo_ss7_instance::name, osmo_ss7_as_destroy(), and osmo_ss7_as_find_by_name().

## ◆ DEFUN_USRATTR() [1/3]

DEFUN_USRATTR | ( | as_no_traf_mode | ,
|  | as_no_traf_mode_cmd | ,
|  | OSMO_SCCP_LIB_ATTR_RSTRT_ASP | ,
|  | "no traffic-mode" | ,
|  | NO_STR "Remove explicit traffic mode of operation of this AS\n" |
| ) |  |

References osmo_ss7_as::cfg, osmo_ss7_as::loadshare, osmo_ss7_as::mode, osmo_ss7_as::mode_set_by_vty, osmo_ss7_as::opc_shift, osmo_ss7_as::opc_sls, and osmo_ss7_as::sls_shift.

## ◆ DEFUN_USRATTR() [2/3]

DEFUN_USRATTR | ( | as_traf_mode | ,
|  | as_traf_mode_cmd | ,
|  | OSMO_SCCP_LIB_ATTR_RSTRT_ASP | ,
|  | "traffic-mode (broadcast | roundrobin | override)" | ,
|  | "Specifies traffic mode of operation of the ASP within the AS\n" "Broadcast to all ASP within AS\n" "Round-Robin between all ASP within AS\n" "Override\n" |
| ) |  |

References osmo_ss7_as::cfg, osmo_ss7_as::mode, osmo_ss7_as::mode_set_by_vty, and osmo_ss7_as_traffic_mode_vals.

## ◆ DEFUN_USRATTR() [3/3]

DEFUN_USRATTR | ( | as_traf_mode_loadshare | ,
|  | as_traf_mode_loadshare_cmd | ,
|  | OSMO_SCCP_LIB_ATTR_RSTRT_ASP | ,
|  | "traffic-mode loadshare " | [bindings][sls][opc-sls][opc-shift][< 0-2 >],
|  | "Specifies traffic mode of operation of the ASP within the AS\n" "Share Load among all ASP within AS\n" "Configure Loadshare parameters\n" "Configure Loadshare SLS generation parameters\n" "Generate extended SLS with OPC information\n" "Shift OPC bits used during routing decision\n" "How many bits from ITU OPC field (starting from least-significant-bit) to skip (default=0). 6 bits are always used\n" |
| ) |  |

References osmo_ss7_as::cfg, osmo_ss7_as::loadshare, osmo_ss7_as::mode, osmo_ss7_as::mode_set_by_vty, osmo_ss7_as::opc_shift, osmo_ss7_as::opc_sls, and OSMO_SS7_AS_TMOD_LOADSHARE.

## ◆ show_as()

static int show_as | ( | struct vty * | vty,
|  | int | id,
|  | const char * | as_name,
|  | const char * | filter
| ) |  |
| static

References osmo_ss7_instance::as_list, osmo_ss7_as::cfg, osmo_ss7_as::inst, osmo_ss7_as::list, NULL, osmo_ss7_as_active(), osmo_ss7_as_find_by_name(), OSMO_SS7_ASP_PROT_M3UA, OSMO_SS7_ASP_PROT_SUA, osmo_ss7_instance_find(), osmo_ss7_as::proto, and show_one_as().

Referenced by DEFUN().

## ◆ show_one_as()

static void show_one_as | ( | struct vty * | vty,
|  | struct osmo_ss7_as * | as
| ) |  |
| static

References osmo_ss7_as::cfg, osmo_ss7_routing_key::context, osmo_ss7_as::fi, osmo_ss7_as::inst, osmo_ss7_as::mode, osmo_ss7_as::name, osmo_ss7_as_traffic_mode_name(), osmo_ss7_pointcode_print(), osmo_ss7_routing_key::pc, and osmo_ss7_as::routing_key.

Referenced by show_as().

## ◆ ss7_vty_init_node_as()

void ss7_vty_init_node_as | ( | void |  | ) |

References as_node, cs7_role, CS7_ROLE_SG, and NULL.

Referenced by vty_init_shared().

## ◆ ss7_vty_node_as_go_parent()

int ss7_vty_node_as_go_parent | ( | struct vty * | vty | ) |

References osmo_ss7_as::cfg, cs7_role, CS7_ROLE_ASP, osmo_ss7_as::dpc_enabled, osmo_ss7_as::inst, osmo_ss7_as::loadshare, osmo_ss7_as::mode, osmo_ss7_as::name, osmo_ss7_as::opc_enabled, OSMO_SS7_AS_TMOD_LOADSHARE, OSMO_SS7_ASP_PROT_IPA, OSMO_SS7_ASP_ROLE_ASP, OSMO_SS7_ASP_ROLE_IPSP, OSMO_SS7_ASP_ROLE_SG, osmo_ss7_pc_is_local(), osmo_ss7_routing_key::pc, osmo_ss7_as::pc_override, osmo_ss7_as::proto, osmo_ss7_as::routing_key, and ss7_as_get_local_role().

Referenced by osmo_ss7_vty_go_parent().

## ◆ ss7_vty_write_one_as()

void ss7_vty_write_one_as | ( | struct vty * | vty,
|  | struct osmo_ss7_as * | as,
|  | bool | show_dyn_config
| ) |  |

References ss7_as_asp_assoc::as, ss7_as_asp_assoc::as_entry, ss7_as_asp_assoc::asp, osmo_ss7_as::assoc_asp_list, osmo_ss7_as::cfg, osmo_ss7_asp::cfg, osmo_ss7_routing_key::context, osmo_ss7_as::description, osmo_ss7_as::dpc, osmo_ss7_as::dpc_enabled, osmo_ss7_asp::dyn_allocated, osmo_ss7_as::inst, osmo_ss7_as::loadshare, osmo_ss7_as::mode, osmo_ss7_as::mode_set_by_vty, mtp_si_vals, osmo_ss7_as::name, osmo_ss7_asp::name, osmo_ss7_as::opc, osmo_ss7_as::opc_enabled, osmo_ss7_as::opc_shift, osmo_ss7_as::opc_sls, OSMO_SS7_AS_TMOD_LOADSHARE, osmo_ss7_as_traffic_mode_name(), osmo_ss7_asp_protocol_name(), osmo_ss7_pointcode_print(), osmo_ss7_routing_key::pc, osmo_ss7_as::pc_override, osmo_ss7_as::proto, osmo_ss7_as::qos_class, osmo_ss7_as::recovery_timeout_msec, osmo_ss7_as::rkm_dyn_allocated, osmo_ss7_as::routing_key, osmo_ss7_as::sccp_mode, osmo_ss7_routing_key::si, osmo_ss7_as::simple_client_allocated, osmo_ss7_asp::simple_client_allocated, osmo_ss7_as::sls_shift, and osmo_ss7_routing_key::ssn.

Referenced by write_one_cs7().

## Variable Documentation

## ◆ as_node

struct cmd_node as_node
| static

Initial value:
= {
L_CS7_AS_NODE,
"%s(config-cs7-as)# ",
1,
}

Referenced by ss7_vty_init_node_as().

## ◆ mtp_si_vals

const struct value_string mtp_si_vals[]

Initial value:
= {
{ MTP_SI_SCCP, "sccp" },
{ MTP_SI_TUP, "tup" },
{ MTP_SI_ISUP, "isup" },
{ MTP_SI_DUP, "dup" },
{ MTP_SI_TESTING, "testing" },
{ MTP_SI_B_ISUP, "b-isup" },
{ MTP_SI_SAT_ISUP, "sat-isup" },
{ MTP_SI_AAL2_SIG, "aal2" },
{ MTP_SI_BICC, "bicc" },
{ MTP_SI_GCP, "h248" },
{ 0, NULL }
}
MTP_SI_GCP
@ MTP_SI_GCP
Definition: mtp.h:22
MTP_SI_BICC
@ MTP_SI_BICC
Definition: mtp.h:21
MTP_SI_ISUP
@ MTP_SI_ISUP
Definition: mtp.h:13
MTP_SI_B_ISUP
@ MTP_SI_B_ISUP
Definition: mtp.h:17
MTP_SI_SAT_ISUP
@ MTP_SI_SAT_ISUP
Definition: mtp.h:18
MTP_SI_TESTING
@ MTP_SI_TESTING
Definition: mtp.h:16
MTP_SI_DUP
@ MTP_SI_DUP
Definition: mtp.h:14
MTP_SI_TUP
@ MTP_SI_TUP
Definition: mtp.h:12
MTP_SI_AAL2_SIG
@ MTP_SI_AAL2_SIG
Definition: mtp.h:20
MTP_SI_SCCP
@ MTP_SI_SCCP
Definition: mtp.h:11
NULL
int and can be left NULL
Definition: osmo_ss7.h:353

Referenced by _rout_key(), mtp3_hmdt_rx_msg_for_local_unavailable_part(), ss7_vty_write_one_as(), and xua_snm_rx_dupu().